Package org.postgresql.util

# Class HStoreConverter

java.lang.Object
org.postgresql.util.HStoreConverter

public class HStoreConverter extends Object

## Constructor Summary

Constructors
Constructor
Description
`HStoreConverter()`

## Method Summary

Modifier and Type
Method
Description
`static Map<String,@Nullable String>`
`fromBytes(byte[] b, Encoding encoding)`
`static Map<String,@Nullable String>`
`fromString(String s)`
`static byte[]`
`toBytes(Map<?,?> m, Encoding encoding)`
`static String`
`toString(Map<?,?> map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HStoreConverter

public HStoreConverter()

## Method Details

### fromBytes

public static Map<String,@Nullable String> fromBytes(byte[] b, Encoding encoding) throws SQLException

Throws:
  `SQLException`

### toBytes

public static byte[] toBytes(Map<?,?> m, Encoding encoding) throws SQLException

Throws:
  `SQLException`

### toString

public static String toString(Map<?,?> map)

### fromString

public static Map<String,@Nullable String> fromString(String s)